//====================================================================================================
// ExtWindow.h
//====================================================================================================

#pragma once

#include "BackGround.h"

//====================================================================================================
// class CMainWndSubclassing
//====================================================================================================
class CExtWindow : public CBackGround {
  public:
		enum {
			//  ""
			ID_FILE_IMAGE = 1000,
			ID_FILE_EXIT,

			//  ""
			ID_HELP_ABOUT
		};

  public:
		CExtWindow(LPCWSTR lpszClassName = L"ExternalWindow");  // HINSTANCE hInstance, 
		~CExtWindow();

		//   
		HWND CreateEx(HWND hWndParent, LPCWSTR lpszWindowName, RECT &Rect, DWORD dwExStyle = WS_EX_STATICEDGE, 
				DWORD dwStyle = WS_OVERLAPPEDWINDOW, HMENU hMenu = NULL,  // | WS_CLIPSIBLINGS | WS_CLIPCHILDREN
				LPVOID lpCreateParam = NULL);

  private:
		static ATOM RegisterClass(LPCWSTR lpszClassName);  // HINSTANCE hInstance, 

		inline BOOL UnRegisterClass() {  // Only needed for DLLs or tmp use
			return ::UnregisterClass(m_lpszClassName, m_hInstance);
		}  // UnRegisterClass()

  private:  //    
    static LRESULT CALLBACK WindowProc(HWND hWnd, UINT uMsg, WPARAM wParam, LPARAM lParam);  //  

  public:  // 
		HINSTANCE m_hInstance;
		LPCWSTR m_lpszClassName;

		HWND m_hExtWnd;
};  // class CExtWindow

//====================================================================================================
//====================================================================================================
