#pragma once

#include "BackGround.h"
#include "Resource.h"

//====================================================================================================
// class CMDIBackGround
//====================================================================================================
class CMDIBackGround : public CBackGround { 
  public:  //  
    CMDIBackGround(HWND hMDIClientWnd);
    ~CMDIBackGround();

    BOOL Attach();
    void Detach();
    
  private:  //    
    static LRESULT CALLBACK WindowProc(HWND hWnd, UINT uMsg, WPARAM wParam, LPARAM lParam);  //  

  private:  // 
    HWND m_hMDIClientWnd;  //  MDI 
		LPCWSTR m_szImageFileName;  //     MDI 
		CImage *m_pImage;  //  
    Gdiplus::Graphics *m_pGraphics;
		Gdiplus::Bitmap *m_pBitmap;
    Gdiplus::ImageAttributes *m_pImageAttr;
		HDC m_hDC;
		HDC m_hMemDC;
		CSize *m_pBitmapSize;  //    MDI 

	public:
		BOOL m_bIsAttach;
};  // class CMDIBackGround

//====================================================================================================
//====================================================================================================
