//====================================================================================================
// StdAfx.cpp : source file that includes just the standard includes StdAfx.pch will be the 
// pre-compiled header StdAfx.obj will contain the pre-compiled type information
//====================================================================================================

#include "StdAfx.h"

//====================================================================================================
// GetMainWindow1C() -  hWnd   "1:"
//====================================================================================================
HWND GetMainWindow1C(BOOL bShow) {
	HWND hMainWnd = GetForegroundWindow();  //   hWnd   "1:"	

	if(bShow) {
		LPWSTR szClassName = new WCHAR[_MAX_PATH];
		LPWSTR szDest = new WCHAR[_MAX_PATH];

		GetWindowText(hMainWnd, szClassName, _MAX_PATH);
	
		wsprintf(szDest, L"MainWnd ClassName = \"%s\"\nMain hWnd = 0x%08X", 
				szClassName, hMainWnd);

		if(bShow) MessageBox(NULL, szDest, L"Info", MB_OK);
	}  // if(bShow)

	return hMainWnd;
}  // GetMainWindow1C()

//====================================================================================================
// GetMDIClient1C() -  hWnd MDIClient'a "1:"
//====================================================================================================
HWND GetMDIClient1C(HWND hMainWnd, BOOL bShow) {
	LPWSTR szClassName = new WCHAR[_MAX_PATH];
	LPWSTR szDest = new WCHAR[_MAX_PATH];

	if(!hMainWnd) hMainWnd = GetMainWindow1C(bShow);  //   hWnd   "1:"

	HWND hChildWnd = GetWindow(hMainWnd, GW_CHILD);

	//if(!hChildWnd) {
	//	//  183   !
	//	if(bShow) MessageBox(NULL, L"hChildWnd == NULL!", L"Error", MB_OK);
	//	
	//	return NULL;
	//}  // if(!hChildWnd)

  while(hChildWnd) {
		GetClassName(hChildWnd, szClassName, _MAX_PATH);

		wchar_t *pSubStr = wcsstr(szClassName, L"MDIClient");  // MDIClient  // V8MDIClient

		if(pSubStr) {
			if(bShow) {
				wsprintf(szDest, L"MDIClient ClassName = \"%s\"\nMDIClient SubStr = \"%s\"\nChild hWnd = 0x%08X", 
						szClassName, pSubStr, hChildWnd);

				if(bShow) MessageBox(NULL, szDest, L"Info", MB_OK);
			}  // if(bShow)

			return hChildWnd;
		} else {  //  szClassName   
			if(bShow) {
				wsprintf(szDest, L"Child ClassName = \"%s\"\nChild SubStr = \"%s\"\nChild hWnd = 0x%08X", 
						szClassName, pSubStr, hChildWnd);

				if(bShow) MessageBox(NULL, szDest, L"Info", MB_OK);
			}  // if(bShow)
		}  // if(wcscmp(szDest, L"MDIClient") == 0)

		hChildWnd = GetWindow(hChildWnd, GW_HWNDNEXT);
	}  // if(pSubStr)
	
	return NULL;
}  // GetMDIClient1C()

//====================================================================================================
//====================================================================================================
